Bug 44320 - Does not add ServerAlias to Virtual Hosts in httpd.conf
Summary: Does not add ServerAlias to Virtual Hosts in httpd.conf
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apacheconf   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-12 17:52 UTC by luther
Modified: 2015-03-05 01:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-18 14:34:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description luther 2001-06-12 17:52:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
The apacheconf program does not correctly store information in the 
configuration file. I added sefveral Virtual Hosts and to each I added 
Aliases. The Virtual hosts were in the configuration file, but not the 
ServerAlias tags! I had to edit the file manually to the correct problem, 
and no longer use apacheconf.

How reproducible:
Always

Steps to Reproduce:
1. run apacheconf
2. add a virtual host (e.g., mydomain.com)
3. add an alias to virtual host (e.g., *.mydomain.com or www.mydomain.com)
4. save and restart httpd; 	

Actual Results:  mydomain.com opens but www.mydomain.com opens to the 
wrong site if at all. Check config file- no ServerAlias


Expected Results:  www.mydomain.com opens to same pages
Check config file- ServerAlias directives should be there


Additional info:

Comment 1 Phil Knirsch 2001-06-26 16:31:24 UTC
Fixed in rawhide.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.